## mingw-w64-qt6-connectivity-6.6.3-1.src.tar.zst

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

if(TARGET Qt6::Bluetooth)
    add_subdirectory(bluetooth)
endif()
if(TARGET Qt6::Nfc)
    add_subdirectory(nfc)
endif()

qt_examples_build_end()
