=== tests/auto/qbluetoothdeviceinfo/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qbluetoothdeviceinfo Test:
#####################################################################

qt_internal_add_test(tst_qbluetoothdeviceinfo
    SOURCES
        tst_qbluetoothdeviceinfo.cpp
    LIBRARIES
        Qt::Bluetooth
)
